Bug 179358 - [PATCH] sysutils/userspace-rcu: Rename to liburcu and update to 0.7.6
[PATCH] sysutils/userspace-rcu: Rename to liburcu and update to 0.7.6
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Kubilay Kocak
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 09:00 UTC by koobs.freebsd
Modified: 2013-06-08 04:41 UTC (History)
0 users

See Also:


Attachments
file.diff (3.74 KB, patch)
2013-06-06 09:00 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2013-06-06 09:00:00 UTC
- Update to 0.7.6
- Update COMMENT
- Re-order USE_* section
- Add CONFIGURE_ARGS for correct --docdir
- pkg-descr: Tab->space in WWW:
- Update WWW: URL

Additional:

- Update MOVED
- Remove userspace-rcu from sysutils/Makefile
- Add liburcu to sysutils/Makefile
- Update dns/knot LIB_DEPENDS dependency

QA:

- Run Tools/scripts/MOVEDlint.awk
- Run make checksubdir

svn status:

M       MOVED
M       dns/knot/Makefile
M       sysutils/Makefile
A  +    sysutils/liburcu
M  +    sysutils/liburcu/Makefile
M  +    sysutils/liburcu/distinfo
M  +    sysutils/liburcu/pkg-descr
D       sysutils/userspace-rcu
D       sysutils/userspace-rcu/Makefile
D       sysutils/userspace-rcu/distinfo
D       sysutils/userspace-rcu/pkg-descr
D       sysutils/userspace-rcu/pkg-plist

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-06 09:00:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-06 09:00:08 UTC
Maintainer of sysutils/userspace-rcu,

Please note that PR ports/179358 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179358

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-06-06 09:00:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 freebsd 2013-06-07 01:02:39 UTC
On Thu, 06 Jun 2013, Edwin Groothuis wrote:

> Maintainer of sysutils/userspace-rcu,
> 
> Please note that PR ports/179358 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179358
> 
Works all fine, and besides addresses more little fixes I was about to do.
So thanks!

And just FYI: in the next week I will submit a maintainer update of the knot
port that was also addressed by this patch. Knot 1.3 rc 1 became available.


-- 

Met vriendelijke groet,
With kind regards,


Leo Vandewoestijne
Comment 5 Kubilay Kocak freebsd_committer 2013-06-07 09:54:59 UTC
Responsible Changed
From-To: swills->koobs

I'll take it.
Comment 6 dfilter freebsd_committer 2013-06-07 13:36:21 UTC
Author: koobs
Date: Fri Jun  7 12:36:07 2013
New Revision: 320197
URL: http://svnweb.freebsd.org/changeset/ports/320197

Log:
  sysutils/userspace-rcu: Rename to sysutils/liburcu, update to 0.7.6
  
  - Rename to sysutils/liburcu (according to upstream)
  - Update MOVED
  - Remove userspace-rcu from sysutils/Makefile
  - Add liburcu to sysutils/Makefile
  - Update dns/knot LIB_DEPENDS dependency
  
  While I'm here:
  
  - Update to 0.7.6
  - Add CONFIGURE_ARGS for correct --docdir
  - Add regression-test: target
  - Update COMMENT
  - Re-order USE_* section
  - pkg-descr: Tab->space in WWW:
  - Update WWW: URL
  
  Changes:
  
  2013-01-09 Userspace RCU 0.7.6
  	* Discourage use of pthread_atfork() for call_rcu handlers
  	* Fix call_rcu fork handling
  	* test: fork handling
  	* Fix TLS detection: test with linker, add --disable-compiler-tls
  	* Cleanup: cast pthread_self() return value to unsigned long
  	* Fallback mechanism not working on platform where TLS is unsupported
  
  PR:		ports/179358
  Approved by:	Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)

Added:
  head/sysutils/liburcu/
     - copied from r320049, head/sysutils/userspace-rcu/
Deleted:
  head/sysutils/userspace-rcu/
Modified:
  head/MOVED
  head/dns/knot/Makefile
  head/sysutils/Makefile
  head/sysutils/liburcu/Makefile   (contents, props changed)
  head/sysutils/liburcu/distinfo   (contents, props changed)
  head/sysutils/liburcu/pkg-descr   (contents, props changed)

Modified: head/MOVED
==============================================================================
--- head/MOVED	Fri Jun  7 12:35:36 2013	(r320196)
+++ head/MOVED	Fri Jun  7 12:36:07 2013	(r320197)
@@ -4382,3 +4382,4 @@ emulators/linux-xjoypad||2013-06-05|Remo
 lang/elisp-manual||2013-06-05|Has expired: Broken for more than 6 months
 sysutils/sge62||2013-06-05|Has expired: Ancient and unsupported release
 x11-toolkits/ruby-wx||2013-06-07|Has expired: Does not work with Ruby 1.9
+sysutils/userspace-rcu|sysutils/liburcu|2013-06-07|Renamed correctly according to upstream

Modified: head/dns/knot/Makefile
==============================================================================
--- head/dns/knot/Makefile	Fri Jun  7 12:35:36 2013	(r320196)
+++ head/dns/knot/Makefile	Fri Jun  7 12:36:07 2013	(r320197)
@@ -14,7 +14,7 @@ LICENSE=	GPLv3
 
 BUILD_DEPENDS=	bison:${PORTSDIR}/devel/bison \
 		flex>=2.5.35_1:${PORTSDIR}/textproc/flex
-LIB_DEPENDS=	urcu:${PORTSDIR}/sysutils/userspace-rcu
+LIB_DEPENDS=	urcu:${PORTSDIR}/sysutils/liburcu
 
 CONFIGURE_ARGS=	--sysconfdir=${ETCDIR}
 GNU_CONFIGURE=	yes

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Fri Jun  7 12:35:36 2013	(r320196)
+++ head/sysutils/Makefile	Fri Jun  7 12:36:07 2013	(r320197)
@@ -473,6 +473,7 @@
     SUBDIR += libretto-config
     SUBDIR += libsunacl
     SUBDIR += libumberlog
+    SUBDIR += liburcu
     SUBDIR += libutempter
     SUBDIR += libzeitgeist
     SUBDIR += lineak-defaultplugin
@@ -981,7 +982,6 @@
     SUBDIR += usermin
     SUBDIR += userneu
     SUBDIR += userneu-devel
-    SUBDIR += userspace-rcu
     SUBDIR += usrinfo
     SUBDIR += utcount
     SUBDIR += vbetool

Modified: head/sysutils/liburcu/Makefile
==============================================================================
--- head/sysutils/userspace-rcu/Makefile	Thu Jun  6 02:10:23 2013	(r320049)
+++ head/sysutils/liburcu/Makefile	Fri Jun  7 12:36:07 2013	(r320197)
@@ -1,25 +1,31 @@
 # Created by: Leo Vandewoestijne <freebsd@dns-lab.com>
 # $FreeBSD$
 
-PORTNAME=	userspace-rcu
-PORTVERSION=	0.7.5
+PORTNAME=	liburcu
+PORTVERSION=	0.7.6
 CATEGORIES=	sysutils
 MASTER_SITES=	http://lttng.org/files/urcu/
+DISTNAME=	userspace-rcu-${PORTVERSION}
 
 MAINTAINER=	freebsd@dns-lab.com
-COMMENT=	A read-copy-update data synchronization library
+COMMENT=	Userspace read-copy-update (RCU) data synchronization library
 
 LICENSE=	LGPL21
 
 PORTDOCS=	ChangeLog README cds-api.txt rcu-api.txt uatomic-api.txt
 
+USES=		pathfix
 USE_BZIP2=	yes
-GNU_CONFIGURE=	yes
-USES=	pathfix
 USE_LDCONFIG=	yes
+GNU_CONFIGURE=	yes
+
+CONFIGURE_ARGS+=	--docdir=${DOCSDIR}
 
 .if defined(.PARSEDIR)
 USE_GMAKE=	yes
 .endif
 
+regression-test: build
+	@cd ${WRKSRC} && ${MAKE} check
+
 .include <bsd.port.mk>

Modified: head/sysutils/liburcu/distinfo
==============================================================================
--- head/sysutils/userspace-rcu/distinfo	Thu Jun  6 02:10:23 2013	(r320049)
+++ head/sysutils/liburcu/distinfo	Fri Jun  7 12:36:07 2013	(r320197)
@@ -1,2 +1,2 @@
-SHA256 (userspace-rcu-0.7.5.tar.bz2) = 0f7d4a1e0c6c6ecc75e7de0a4b80518c6ba93c97872981e196c758db7a2404e2
-SIZE (userspace-rcu-0.7.5.tar.bz2) = 383705
+SHA256 (userspace-rcu-0.7.6.tar.bz2) = 71f2c0b75f3473e4d7aa6ac5111ca4d9cccccd5d131e87b53a07d35bd2c5900a
+SIZE (userspace-rcu-0.7.6.tar.bz2) = 393590

Modified: head/sysutils/liburcu/pkg-descr
==============================================================================
--- head/sysutils/userspace-rcu/pkg-descr	Thu Jun  6 02:10:23 2013	(r320049)
+++ head/sysutils/liburcu/pkg-descr	Fri Jun  7 12:36:07 2013	(r320197)
@@ -6,4 +6,4 @@ given data structure to live at the same
 monitoring the data structure accesses to detect grace
 periods after which memory reclamation is possible.
 
-WWW:	http://lttng.org/content/userspace-rcu
+WWW: http://lttng.org/urcu
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Kubilay Kocak freebsd_committer 2013-06-08 04:41:14 UTC
State Changed
From-To: feedback->closed

Committed, with additional regression-test: target